package org.cocos2dx.javascript.presenter;

import android.view.View;
import android.widget.Toast;

import com.google.gson.Gson;

import org.cocos2dx.javascript.AppActivity;
import org.cocos2dx.javascript.util.DeviceUtil;
import org.cocos2dx.javascript.util.PackageUtil;

public class MainPresenter {
    private static AppActivity mActivity;
    private static DeviceUtil mDeviceUtil;
    private static PackageUtil mPackageUtil;
    private static Gson mGson;

    public MainPresenter(AppActivity activity) {
        mActivity = activity;
        mGson = new Gson();
        mDeviceUtil = new DeviceUtil();
        mPackageUtil = new PackageUtil(activity);
    }

    public static String getVersionCode() {
        return mDeviceUtil.getVersionCode(mActivity);
    }

    public static void showToast(final String message) {
        mActivity.runOnUiThread(new Runnable() {
            @Override
            public void run() {
                Toast.makeText(mActivity, message, Toast.LENGTH_SHORT).show();
            }
        });
    }

    public static String getSystemAppsJson() {
        return mGson.toJson(mPackageUtil.getSystemAppList()).toString();
    }

    public static String getOtherAppsJson() {
        return mGson.toJson(mPackageUtil.getOtherAppList()).toString();
    }

    public static void hideGameScene() {
        mActivity.runOnUiThread(new Runnable() {
            @Override
            public void run() {
//                mActivity.getGLSurfaceView().setVisibility(View.GONE);
                mActivity.getGLSurfaceView().setZOrderOnTop(true);
//                mActivity.getGLSurfaceView().setBackgroundColor(Color.TRANSPARENT);
            }
        });

    }


}
